import React from 'react';
import { IBaseSelectProps } from './BaseSelect';
import { IFieldProps } from '..';
export declare const LabelContainer: import("styled-components").StyledComponent<"span", import("styled-components").DefaultTheme, {}, never>;
export declare const PlaceholderContainer: import("styled-components").StyledComponent<"span", import("styled-components").DefaultTheme, {}, never>;
export interface IOption<V extends string = string> {
    readonly value: V;
    readonly label: string;
    readonly disabled?: boolean;
}
export interface ISelectProps<V extends string = string> extends Omit<IBaseSelectProps<V>, 'component' | 'options'> {
    /**
     * Selects an item in the dropdown menu.
     * Must pre-exist in the dropdown menu and written in lowercase.
     * Otherwise no value is selected.
     */
    readonly value: V;
    /**
     * Used to create an array of selectable options.
     */
    readonly options: ReadonlyArray<IOption<V>>;
    /**
     * Executes a JavaScript when a user changes the selected option of an element.
     */
    readonly placeholder?: string;
    /**
     * If `true`, select will be disabled.
     */
    readonly disabled?: boolean;
}
export declare function Select<V extends string = string>({ value: currentValue, options, placeholder, ...props }: ISelectProps<V>): JSX.Element;
export declare const SelectField: <V extends string = string>(props: IFieldProps & ISelectProps<V>) => React.ReactElement<any, any> | null;
