import React, { ReactNode } from 'react';
import { ToastId } from './toastActions';
declare type BaseElement = HTMLDivElement;
declare type BaseProps = React.HTMLAttributes<BaseElement>;
export interface IBaseToast {
    readonly icon: ReactNode;
    readonly label: ReactNode;
    readonly message?: ReactNode;
    readonly duration?: number;
    readonly hasCloseButton?: boolean;
    readonly onClose?: (id: ToastId) => void;
}
interface IBaseToastProps extends IBaseToast, BaseProps {
    /**
     * `class` to be passed to the component.
     */
    readonly className?: BaseProps['className'];
    readonly toastId: ToastId;
    readonly dismissToast: (id: ToastId) => void;
    readonly zIndex: number;
}
/**
 * A basic container for all kinds of toasts.
 * Child elements are passed as props.
 */
export declare const BaseToast: React.MemoExoticComponent<React.ForwardRefExoticComponent<IBaseToastProps & React.RefAttributes<HTMLDivElement | null>>>;
export {};
