import { IBaseToast } from './Toast';
export declare enum IToastActionType {
    'TOAST_CREATE' = 0,
    'TOAST_REMOVE' = 1,
    'TOAST_REMOVE_ALL' = 2
}
export declare type ToastId = string;
export interface IToastCreateAction {
    readonly id: ToastId;
    readonly type: IToastActionType.TOAST_CREATE;
    readonly data: IBaseToast;
}
export interface IToastRemoveAction {
    readonly id: ToastId;
    readonly type: IToastActionType.TOAST_REMOVE;
}
export interface IToastRemoveAllAction {
    readonly type: IToastActionType.TOAST_REMOVE_ALL;
}
export declare type IToastAction = IToastCreateAction | IToastRemoveAction | IToastRemoveAllAction;
export declare const createToast: (toast: IBaseToast, id?: ToastId) => IToastCreateAction;
export declare const removeToast: (id: ToastId) => IToastRemoveAction;
export declare const removeAllToasts: IToastRemoveAllAction;
