import { MutableRefObject, Dispatch } from 'react';
import { IToastAction, ToastId } from './toastActions';
import { ISimpleToast, IActionToast, IProgressToast } from './toastCreators';
import { IBaseToast } from './Toast';
declare type ShowToastHandler = (toast: IBaseToast, id?: ToastId) => ToastId;
declare type HideToastHandler = (id: ToastId) => void;
declare type SimpleToastCreator = (toast: ISimpleToast, id?: ToastId) => ToastId;
declare type ActionToastCreator = (toast: IActionToast, id?: ToastId) => ToastId;
declare type ProgressToastCreator = (toast: IProgressToast, id?: ToastId) => ToastId;
export interface ISimpleToastsDurations {
    readonly success?: number;
    readonly error?: number;
    readonly warning?: number;
    readonly info?: number;
}
export interface IToastCallbacks {
    readonly showToast: ShowToastHandler;
    readonly hideToast: HideToastHandler;
    readonly clearToasts: () => void;
    readonly showSuccessToast: SimpleToastCreator;
    readonly showErrorToast: SimpleToastCreator;
    readonly showWarningToast: SimpleToastCreator;
    readonly showInfoToast: SimpleToastCreator;
    readonly showLoadingToast: SimpleToastCreator;
    readonly showProgressToast: ProgressToastCreator;
    readonly showActionToast: ActionToastCreator;
}
export declare const useToastCallbacks: (dispatchRef: MutableRefObject<Dispatch<IToastAction>>, { success, error, warning, info }?: ISimpleToastsDurations) => IToastCallbacks;
export declare const useToasts: () => {
    showToast: ShowToastHandler;
    hideToast: HideToastHandler;
    clearToasts: () => void;
    showSuccessToast: SimpleToastCreator;
    showErrorToast: SimpleToastCreator;
    showWarningToast: SimpleToastCreator;
    showInfoToast: SimpleToastCreator;
    showLoadingToast: SimpleToastCreator;
    showProgressToast: ProgressToastCreator;
    showActionToast: ActionToastCreator;
};
export {};
