import React from 'react';
import { ITypographyProps } from '../Typography';
import { IPopOverProps } from '../PopOver';
export declare const ExpandedTooltipTypography: React.FC<Omit<ITypographyProps, 'variant'>>;
interface ITooltipProps extends Omit<IPopOverProps, 'anchorEl'> {
    /**
     * Optional Tooltip variant.
     * Default: `default`
     */
    readonly variant?: 'default';
    /**
     * text inside the tooltip.
     */
    readonly text: string;
}
interface IExpandedTooltipProps extends Omit<IPopOverProps, 'anchorEl'> {
    /**
     * Required Tooltip variant.
     */
    readonly variant: 'expanded';
    /**
     * semibold title text inside the tooltip.
     */
    readonly tipTitle: string;
    /**
     * Optional extra info shown in the right corner.
     */
    readonly extraInfo?: string;
    /**
     * React element that will appear under the tipTitle.
     * Recommend to use `ExpandedTooltipTypography` to get proper Typography.
     */
    readonly contents: React.ReactNode;
}
export declare const Tooltip: React.FC<ITooltipProps | IExpandedTooltipProps>;
export {};
